%define rel 1
%define libpgf_major 4
%define libpgf %mklibname pgf %{libpgf_major}
%define libpgf_devel %mklibname pgf -d

Name:           libpgf
Version:        6.11.42
Release:        %mkrel %{rel}
Summary:        PGF (Progressive Graphics File) library
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.libpgf.org
Source0:        http://downloads.sourceforge.net/project/%{name}/%{version}/%{name}-%{version}-src.zip
BuildRequires:  doxygen
BuildRequires:  libtool

%description
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

#------------------------------------------------------------------------------

%package -n %{libpgf}
Summary:  PGF (Progressive Graphics File) library
Group:   System/Libraries

%description -n %{libpgf}
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

This package provides the runtime library.

%files -n %{libpgf}
%{_libdir}/libpgf.so.%{libpgf_major}*

#------------------------------------------------------------------------------

%package doc
Summary: Documentation for %{name}
BuildArch: noarch

%description doc
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

This package provides the html documentation.

%files doc
%doc COPYING README NEWS AUTHORS
%doc %{_docdir}/%{name}
%{_mandir}/man3/*

#------------------------------------------------------------------------------

%package -n %{libpgf_devel}  
Summary:        Headers for %{name}
Requires:       %{libpgf} = %{version}-%{release}
Suggests:       %{name}-doc
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libpgf_devel}  
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

This package provides the header files needed to build packages against %{name}.


%files -n %{libpgf_devel} 
%{_includedir}/%{name}
%{_libdir}/libpgf.so
%{_libdir}/pkgconfig/libpgf.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n %{name}

%build
sh autogen.sh
%configure2_5x --disable-static
%make


%install
rm -rf %{buildroot}
%makeinstall_std
mv %{buildroot}/%{_docdir}/%name-%version %{buildroot}/%{_docdir}/%name
# Remove .la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%changelog

* Sat Nov 12 2011 mikala <mikala> 6.11.42-1.mga2
+ Revision: 166978
- imported package libpgf

